# -*- coding: utf-8 -*-
from educommon.auth.simple_auth.ui import Container, HtmlPageComponent


class LoginField(HtmlPageComponent):
    u"""Поле ввода имени пользователя."""

    id = 'login-field'
    template_path = 'simple_auth/elements/login-field.html'


class PasswordField(HtmlPageComponent):
    u"""Поле ввода пароля."""

    id = 'password-field'
    template_path = 'simple_auth/elements/password-field.html'


class PasswordRestoreLink(HtmlPageComponent):
    u"""Ссылка на страницу восстановления пароля."""

    id = 'password-restore-link'
    template_path = 'simple_auth/elements/password-restore-link.html'

    def __init__(self, request, context, **params):
        super(PasswordRestoreLink, self).__init__(request, context, **params)
        self.reset_password_page_url = self.params['reset_password_page_url']


class LoginButton(HtmlPageComponent):
    u"""Кнопка входа в систему."""

    id = 'login-button'
    template_path = 'simple_auth/elements/login-button.html'


class BottomContainer(Container):
    u"""Нижняя панель."""

    items = (
        PasswordRestoreLink,
        LoginButton,
    )
    id = 'bottom-panel'
    template_path = 'simple_auth/elements/bottom-panel.html'


class SimpleAuthPanel(Container):
    u"""Контейнер для элементов стандартной авторизации."""

    items = [
        LoginField,
        PasswordField,
        BottomContainer,
    ]
    id = 'simple-auth-panel'
    template_path = 'simple_auth/elements/simple-auth-panel.html'


class LoginPanel(Container):
    u"""Панель входа в систему."""

    items = [
        SimpleAuthPanel,
    ]
    id = 'login-panel'
    template_path = 'simple_auth/elements/login-panel.html'

    def __init__(self, request, context, **params):
        super(LoginPanel, self).__init__(request, context, **params)

        self.login_url = params['login_url']
