# -*- coding: utf-8 -*-
from django.http import HttpResponse, HttpResponseRedirect
from m3 import M3JSONEncoder


def authenticated_user_required(f):
    u"""
    Декоратор проверки того, что к обращение к требуемому ресурсу системы
    производится аутентифицированным пользователем
    """
    def action(request, *args, **kwargs):
        user = request.user
        if not user or not user.is_authenticated():
            if request.is_ajax():
                result = M3JSONEncoder().encode({
                    'success': False,
                    'message': u'Вы не авторизованы. Возможно,'
                               u' закончилось время пользовательской сессии.'
                               u' Для повторной аутентификации'
                               u' обновите страницу.'})
                return HttpResponse(
                    result,
                    content_type='application/json'
                )
            else:
                return HttpResponseRedirect('/')
        else:
            return f(request, *args, **kwargs)

    return action
