# -*- coding: utf-8 -*-
from objectpack.actions import ObjectPack
from objectpack.ui import BaseListWindow, ModelEditWindow

from m3_example_app.controllers import core_observer

from .models import Person


class PersonActionPack(ObjectPack):
    url = r'/person'

    model = Person

    add_window = edit_window = ModelEditWindow.fabricate(
        Person,
        model_register=core_observer,
    )
    list_window = BaseListWindow
    can_delete = True
    add_to_desktop = True

    columns = [
        {
            'data_index': '__unicode__',
            'header': u'ФИО',
            'sortable': True,
            'searchable': True,
            'search_fields': ('firstname', 'surname', 'patronymic'),
            'filter': {
                'type': 'string',
                'custom_fields': ('surname', 'firstname', 'patronymic'),
            }
        },
        {
            'data_index': 'date_of_birth',
            'header': u'Дата рождения',
            'sortable': True,
            'searchable': True,
            'filter': {
                'type': 'date',
            }
        },
        {
            'data_index': 'unit',
            'header': u'Учреждение',
            'searchable': True,
            'search_fields': ('unit__name', ),
            'sortable': True,
        }
    ]

    list_sort_order = ('surname',)

    def extend_menu(self, menu):
        return (
            menu.dicts(
                menu.Item(self.title, self),
            )
        )
