# -*- coding: utf-8 -*-
from django.db import models


class Person(models.Model):
    u"""
    Модель физ. лица
    """
    surname = models.CharField(
        u'Фамилия',
        max_length=50
    )

    firstname = models.CharField(
        u'Имя',
        max_length=50
    )

    patronymic = models.CharField(
        u'Отчество',
        max_length=50,
        null=True,
        blank=True,
    )

    date_of_birth = models.DateField(
        u'Дата рождения',
        db_index=True,
        null=True,
        blank=True,
    )

    unit = models.ForeignKey(
        'unit.Unit',
        verbose_name=u'Учреждение',
        null=True, blank=True,
    )

    def __unicode__(self):
        return u'{0} {1} {2}'.format(
            self.surname,
            self.firstname,
            self.patronymic or ''
        ).strip()

    class Meta:
        verbose_name = u"Физическое лицо"
        verbose_name_plural = u"Физические лица"
