# -*- coding: utf-8 -*-
from spyne import ComplexModel, Integer, Iterable, Unicode, srpc

from .models import Unit


class UnitType(ComplexModel):
    _type_info = [
        ('id', Integer),
        ('name', Unicode),
    ]


@srpc(_returns=Iterable(UnitType))
def GetUnits():
    qs = Unit.objects.all()
    for unit in qs:
        yield UnitType(id=unit.id, name=unit.name)
