# -*- coding: utf-8 -*-
from django.conf import settings
from django.conf.urls.defaults import patterns, include, url
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from django.contrib.auth.decorators import login_required
from django.contrib import admin

from m3 import get_app_urlpatterns
from m3_ext import workspace

from wsfactory.urls import urlpatterns as ws_factory_urlpatterns

admin.autodiscover()

urlpatterns = patterns(
    '',
    url(r'^admin/', include(admin.site.urls)),
    url(r'^$', login_required(workspace())),
    (
        r'^media/(?P<path>.*)$', 'django.views.static.serve', {
            'document_root': settings.MEDIA_ROOT
        }
    ),
)

urlpatterns += staticfiles_urlpatterns()
urlpatterns += get_app_urlpatterns()
urlpatterns += ws_factory_urlpatterns
